Last Comment Bug 748659 - [JS error] TypeError: $("[name=PPDGFrame]").offset() is null
: [JS error] TypeError: $("[name=PPDGFrame]").offset() is null
Status: VERIFIED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Public Pages (show other bugs)
: unspecified
: All All
: -- normal
: 6.5.2
Assigned To: Christopher Van Wiemeersch [:cvan]
:
Mentors:
Depends on:
Blocks: 735054
  Show dependency treegraph
 
Reported: 2012-04-24 22:10 PDT by krupa raj[:krupa]
Modified: 2016-02-04 14:51 PST (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Postfix Screenshot. (329.05 KB, image/png)
2012-05-07 04:56 PDT, Victor Carciu
no flags Details

Description krupa raj[:krupa] 2012-04-24 22:10:58 PDT
steps to reproduce:
1. Load https://marketplace-dev.allizom.org/en-US/app/backpack/
2. try to purchase the app

reproducible: not always


observed behavior:
Purchase flow doesn't start

Timestamp: 4/24/12 10:04:27 PM
Error: TypeError: $("[name=PPDGFrame]").offset() is null
Source File: https://marketplace-dev-cdn.allizom.org/media/js/mkt/consumer-min.js?build=764ec87
Line: 19
Comment 1 Christopher Van Wiemeersch [:cvan] 2012-04-24 22:12:34 PDT
We should be checking that PayPal the DG frame is loaded before we do this: https://github.com/mozilla/zamboni/blob/master/media/js/mkt/payments.js#L158
Comment 2 Christopher Van Wiemeersch [:cvan] 2012-04-25 19:09:19 PDT
https://github.com/mozilla/zamboni/commit/821c5d3
Comment 3 Victor Carciu 2012-05-07 04:55:35 PDT
Verified as fixed. Purchase flow started every time.
Comment 4 Victor Carciu 2012-05-07 04:56:20 PDT
Created attachment 621559 [details]
Postfix Screenshot.

Note You need to log in before you can comment on or make changes to this bug.